Organizations
- Create Vendor Audience Config
(Legacy) List Targets
(Legacy) Create a Target
(Legacy) Get a Target
(Legacy) Update a Target
(Legacy) Delete a Target
(Legacy) Update a Target
List targets
Create a Target
Get a Target
Update a Target
Delete a Target
List Target paths
Add and View Targeting
Contextual Segments CPM estimates
Get Frequently Used Contextual Segments
Frequently Used Audience Segments
Audience Segments CPM Estimate
Get All Vendor Audience Configs
Get Vendor Audience Config by Vendor ID
Update Vendor Audience Config by Vendor ID
List Technology Target Values
List Contextual Segments
List Path Audience Segments
Create Vendor Audience Co...
Campaigns API (3.0.1807)
MediaMath Campaign Management API
Download OpenAPI description
Overview
Languages
Servers
Live Server
https://api.mediamath.com/api/v3.0
- Live Serverhttps://api.mediamath.com/api/v3.0/vendor/audience_configs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://api.mediamath.com/api/v3.0/vendor/audience_configs \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "data": [ { … } ], "meta": { "status": "string", "count": 0, "total_count": 0, "offset": 0, "next_page": "string", "prev_page": "string" } }
- Live Serverhttps://api.mediamath.com/api/v3.0/vendor/audience_configs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.mediamath.com/api/v3.0/vendor/audience_configs \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"vendor_id": 0,
"organization_id": 0,
"bidder_code": "string",
"default_revenue_share": 100,
"creation_limit": 1,
"enabled": true,
"global_taxonomy_enabled": true
}'Response
application/json
{ "data": { "vendor_id": 0, "organization_id": 0, "bidder_code": "string", "default_revenue_share": 0.1, "creation_limit": 0, "enabled": true, "global_taxonomy_enabled": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "string" } }
Security
Auth0(Required scopes:
offline_access
manage:services
)- Live Serverhttps://api.mediamath.com/api/v3.0/vendor/{vendor_id}/audience_configs
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.mediamath.com/api/v3.0/vendor/{vendor_id}/audience_configs' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
application/json
{ "data": { "vendor_id": 0, "organization_id": 0, "bidder_code": "string", "default_revenue_share": 0.1, "creation_limit": 0, "enabled": true, "global_taxonomy_enabled": true, "created_on": "2019-08-24T14:15:22Z", "updated_on": "2019-08-24T14:15:22Z" }, "meta": { "status": "string" } }